/** *****************************************************************************************
 * Unit in charge:
 * @file	spi.h
 * @author	Adrian
 * $Date:: 2017-01-16 17:49:30 #$
 *
 * ----------------------------------------------------------
 * SVN information of last commit:
 * $Rev:: 2069                  $
 * $Author:: wilhelma           $
 *
 * ----------------------------------------------------------
 *
 * @brief
 *
 ******************************************************************************************/


#ifndef SPI_H_
#define SPI_H_

/************* Includes *******************************************************************/
#include <stdint.h>
/************* Public typedefs ************************************************************/

/************* Macros and constants *******************************************************/

/************* Public function prototypes *************************************************/
int8_t SPI2_init();

uint8_t SPI2_sendByte(uint8_t data);

uint8_t SPI2_sendBuffer(uint8_t* txBuffer, uint8_t bufferLength);

uint8_t SPI2_readByte();

#endif /* SPI_H_ */



